<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<groupId>FogProtect.Adaptation.ComputingContinuumModel</groupId>
	<artifactId>FogProtect.Adaptation.ComputingContinuumModel.AdaptiveApplicationManagement</artifactId>
	<version>0.1.0</version>

	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>2.0.5.RELEASE</version>
	</parent>

	<dependencies>

		<dependency>
			<groupId>com.opencsv</groupId>
			<artifactId>opencsv</artifactId>
			<version>4.1</version>
		</dependency>

		<!-- https://mvnrepository.com/artifact/org.springframework.boot/spring-boot-starter-websocket -->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-websocket</artifactId>
			<version>2.4.2</version>
		</dependency>


		<!-- https://mvnrepository.com/artifact/org.yaml/snakeyaml -->
		<dependency>
			<groupId>org.yaml</groupId>
			<artifactId>snakeyaml</artifactId>
			<version>1.26</version>
		</dependency>


		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-text</artifactId>
			<version>1.2</version>
		</dependency>
		<dependency>
			<groupId>org.emfjson</groupId>
			<artifactId>emfjson-jackson</artifactId>
			<version>1.2.0</version>
		</dependency>

		<!-- https://mvnrepository.com/artifact/org.eclipse.core/org.eclipse.core.runtime -->
		<dependency>
			<groupId>org.eclipse.core</groupId>
			<artifactId>org.eclipse.core.runtime</artifactId>
			<version>3.7.0</version>
		</dependency>

		<!-- https://mvnrepository.com/artifact/org.eclipse.emf/org.eclipse.emf.ecore -->
		<dependency>
			<groupId>org.eclipse.emf</groupId>
			<artifactId>org.eclipse.emf.ecore</artifactId>
			<version>2.15.0</version>
		</dependency>

		<!-- https://mvnrepository.com/artifact/org.eclipse.emf/org.eclipse.emf.ecore.xmi -->
		<dependency>
			<groupId>org.eclipse.emf</groupId>
			<artifactId>org.eclipse.emf.ecore.xmi</artifactId>
			<version>2.15.0</version>
		</dependency>


		<!-- https://mvnrepository.com/artifact/henshin/henshin -->

		<dependency>
			<groupId>com.google.code.gson</groupId>
			<artifactId>gson</artifactId>
		</dependency>


		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
		</dependency>
		<dependency>
			<groupId>com.jayway.jsonpath</groupId>
			<artifactId>json-path</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-actuator</artifactId>
		</dependency>

		<dependency>
			<groupId>FogProtect.Adaptation.ComputingContinuumModel</groupId>
			<artifactId>FogProtect.Adaptation.ComputingContinuumModel.MatchFinder</artifactId>
			<version>0.0.1-SNAPSHOT</version>
		</dependency>
		<dependency>
			<groupId>FogProtect.Adaptation.ComputingContinuumModel</groupId>
			<artifactId>FogProtect.Adaptation.ComputingContinuumModel.MetaModel</artifactId>
			<version>0.0.1-SNAPSHOT</version>
			<exclusions>
				<exclusion>
					<groupId>henshin</groupId>
					<artifactId>henshin</artifactId>
				</exclusion>
			</exclusions>
		</dependency>


		<dependency>
			<groupId>henshin</groupId>
			<artifactId>org.eclipse.emf.henshin.interpreter</artifactId>
			<version>1.4.0.201611301251</version>
		</dependency>
		
		<!-- This is a misnamed artifactId dependency, should be multiCDA.cpa -->
		<dependency>
			<groupId>henshin</groupId>
			<artifactId>multiCDA</artifactId>
			<version>1.6</version>
		</dependency>
		
		<dependency>
			<groupId>AGG</groupId>
			<artifactId>engine</artifactId>
			<version>21</version>
		</dependency>
				
		<dependency>
 			<groupId>henshin</groupId>
 			<artifactId>model</artifactId>
 			<version>1.6</version>
 		</dependency>

		<dependency>
            <groupId>org.springframework.kafka</groupId>
            <artifactId>spring-kafka</artifactId>
        </dependency>
       
       
        
		<dependency>
		    <groupId>org.apache.httpcomponents</groupId>
		    <artifactId>httpclient</artifactId>
		    <version>4.3.6</version>
		</dependency>
		
		<dependency>
		    <groupId>org.apache.httpcomponents</groupId>
		    <artifactId>httpmime</artifactId>
		    <version>4.5.13</version>
		</dependency>


	</dependencies>

	<properties>
		<maven.compiler.source>11</maven.compiler.source>
		<maven.compiler.target>11</maven.compiler.target>
	</properties>

	<repositories>
		<repository>
			<id>my-repo1</id>
			<name>clojars</name>
			<url>http://clojars.org/repo/</url>
		</repository>
		<repository>
			<id>my-repo2</id>
			<name>wso2</name>
			<url>http://dist.wso2.org/maven2/</url>
		</repository>
		<repository>
			<id>local.repo</id>
			<name>local repository</name>
			<url>file:${project.basedir}/libs</url>
		</repository>
	</repositories>

	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
			</plugin>
		</plugins>
	</build>

</project>

